/****************************************************************************************

		PropertiesRTypes.r					
		
		Copyright (c)1999 MetaCreations All rights reserved.

		Revision History

		when		who			what & why				
		==========	==========	======================================================
		5/6/99		Greg		Added SingleComponentChooserWithPreview and SimplePart

*****************************************************************************************/


type 'Prop' 
{
	switch
	{
	case Tabs:
		key integer = 1;
		integer = $$CountOf(Tabs);
		array Tabs 
		{
			pstring;										// tab name
			longint;										// tab ID : see properties.h for #defines of the ids
			integer;										// icon ID
			switch
			{
			case Panels:
				key integer = 1;
				integer = $$CountOf(Panels);
				array Panels 
				{
					longint;								// part ID (e.g., 'MyPt')---can be used by 
															// FindChildIMFPartByID to locate)
					switch
					{
					case SingleComponentChooser:
						key integer = 1;	
						longint;							// component family ID (e.g., 'lite')
						byte cannotBeNULL = 0, 
								canBeNULL = 1;				// can this component be NULL?
						byte aphabOrder = 0,				// popup sort mode
							 subFamilyOrder = 1,			//sort poup item by sub family						
							 SubFamilyPopup = 2;			//each sub-family is put in a sub-popup
						longint;							//Include Mask (default 0)
						longint;							//Exclude Mask (default 0)
						byte expanded=0,
							 collapsed=1;					// Is the collapsible part open(expanded) or closed (collapsed)
					case Panel:
						key integer = 2;
						pstring;							// panel name (appears in collapsible part handle)
						longint;							// 'Node' resource ID
						byte expanded=0,
							 collapsed=1;					// Is the collapsible part open(expanded) or closed (collapsed)
					case SingleComponentChooserWithPreview:
						key integer = 3;	
						longint;							// component family ID (e.g., 'lite')
						byte cannotBeNULL = 0, 
								canBeNULL = 1;				// can this component be NULL?
						byte aphabOrder = 0,				// popup sort mode
							 subFamilyOrder = 1,			//sort poup item by sub family						
							 SubFamilyPopup = 2;			//each sub-family is put in a sub-popup
						longint;							//Include Mask (default 0)
						longint;							//Exclude Mask (default 0)
						byte expanded=0,
							 collapsed=1;					// Is the collapsible part open(expanded) or closed (collapsed)

					case SimplePart:
						key integer = 4;
						longint;							// 'Node' resource ID
					case SingleComponentChooserWithWireFrame:
						key integer = 5;	
						longint;							// component family ID (e.g., 'lite')
						byte cannotBeNULL = 0, 
								canBeNULL = 1;				// can this component be NULL?
						byte aphabOrder = 0,				// popup sort mode
							 subFamilyOrder = 1,			//sort poup item by sub family						
							 SubFamilyPopup = 2;			//each sub-family is put in a sub-popup
						longint;							//Include Mask (default 0)
						longint;							//Exclude Mask (default 0)
						byte expanded=0,
							 collapsed=1;					// Is the collapsible part open(expanded) or closed (collapsed)

					case MultipleComponentChooser:
						key integer = 6;	
						longint;									// component family ID (e.g., 'modi')
						byte aphabOrder = 0,						// popup sort mode
							 subFamilyOrder = 1,					//sort poup item by sub family						
							 SubFamilyPopup = 2;					//each sub-family is put in a sub-popup
						longint;									//Include Mask (default 0)
						longint;									//Exclude Mask (default 0)

					case TMultiCompChooserWithSCC:
						key integer = 7;	
						longint;									// component family ID (e.g., 'modi')				
						byte aphabOrder = 0,						// popup sort mode
							 subFamilyOrder = 1,					//sort poup item by sub family						
							 SubFamilyPopup = 2;					//each sub-family is put in a sub-popup
						longint;									//Include Mask (default 0)
						longint;									//Exclude Mask (default 0)

					case MultiCompChooserWithWireFrame:
						key integer = 8;	
						longint;									// component family ID (e.g., 'modi')				
						byte aphabOrder = 0,						// popup sort mode
							 subFamilyOrder = 1,					//sort poup item by sub family						
							 SubFamilyPopup = 2;					//each sub-family is put in a sub-popup
						longint;									//Include Mask (default 0)
						longint;									//Exclude Mask (default 0)
					};
				};
			case MultipleComponentChooser:
				key integer = 2;	
				longint;									// part ID (e.g., 'MyPt')---can be used by 
															// FindChildIMFPartByID to locate)
				longint;									// component family ID (e.g., 'modi')
				byte aphabOrder = 0,						// popup sort mode
					 subFamilyOrder = 1,					//sort poup item by sub family						
					 SubFamilyPopup = 2;					//each sub-family is put in a sub-popup
				longint;									//Include Mask (default 0)
				longint;									//Exclude Mask (default 0)

			case TMultiCompChooserWithSCC:
				key integer = 4;	
				longint;									// part ID (e.g., 'MyPt')---can be used by 
															// FindChildIMFPartByID to locate)
				longint;									// component family ID (e.g., 'modi')				
				byte aphabOrder = 0,						// popup sort mode
					 subFamilyOrder = 1,					//sort poup item by sub family						
					 SubFamilyPopup = 2;					//each sub-family is put in a sub-popup
				longint;									//Include Mask (default 0)
				longint;									//Exclude Mask (default 0)

			case TMultiCompChooserWithWireFrame:
				key integer = 5;	
				longint;									// part ID (e.g., 'MyPt')---can be used by 
															// FindChildIMFPartByID to locate)
				longint;									// component family ID (e.g., 'modi')				
				byte aphabOrder = 0,						// popup sort mode
					 subFamilyOrder = 1,					//sort poup item by sub family						
					 SubFamilyPopup = 2;					//each sub-family is put in a sub-popup
				longint;									//Include Mask (default 0)
				longint;									//Exclude Mask (default 0)

			case SimplePage:
				key integer = 3;
				longint;									// 'Node' resource ID	
			};
		};	
	case SinglePage:
		key integer = 2;
		longint;											// 'Node' resource ID
	};
};
